## symmy 0.0+p24.04+vstable+git20250908.0827

=== debian/changelog ===
symmy (0.0+p24.04+vstable+git20250908.0827-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 08:27:42 +0000

symmy (0.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2019 15:09:07 +0000

## symmy 0.0+p24.04+vstable+git20250909.0707

=== debian/changelog ===
symmy (0.0+p24.04+vstable+git20250909.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 07:07:10 +0000

## symmy 0.0+p24.04+vstable+git20251231.0526

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2017 Elvis Angelaccio <elvis.angelaccio@kde.org>

cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
set (CMAKE_CXX_STANDARD 11)

set(SYMMY_VERSION 0.9.80)
project(symmy VERSION ${SYMMY_VERSION})

set(KF5_MIN_VERSION 5.71.0)
set(GPGME_MIN_VERSION 1.7.1)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

# ecm >= 5.31 disables alternative operators, but we use them.
string(REPLACE "-fno-operator-names" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

find_package(Qt5 CONFIG REQUIRED
    Core
    Gui
    Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    DocTools
    KIO
    I18n
    WidgetsAddons)

find_package(Gpgmepp ${GPGME_MIN_VERSION} CONFIG REQUIRED)
find_package(QGpgme ${GPGME_MIN_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX SYMMY
    VERSION_HEADER symmyversion.h)

add_definitions(-DTRANSLATION_DOMAIN=\"symmy\")

add_subdirectory(desktop)
add_subdirectory(src)
add_subdirectory(plugins)

add_subdirectory(doc)
kdoctools_install(po)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
symmy (0.0+p24.04+vstable+git20251231.0526-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:26:16 +0000

## symmy 0.0+p24.04+vstable+git20260103.0106

=== debian/changelog ===
symmy (0.0+p24.04+vstable+git20260103.0106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:06:42 +0000

## symmy 0.0+p24.04+vstable+git20260105.1154

=== debian/changelog ===
symmy (0.0+p24.04+vstable+git20260105.1154-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:54:50 +0000

## symmy 0.0+p24.04+vstable+git20260122.1333

=== desktop/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2017 Elvis Angelaccio <elvis.angelaccio@kde.org>

install(FILES org.kde.symmy.appdata.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

=== plugins/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2017 Elvis Angelaccio <elvis.angelaccio@kde.org>

kcoreaddons_add_plugin(encryptfileitemaction
    SOURCES encryptfileitemaction.cpp
    JSON encryptfileitemaction.json
    INSTALL_NAMESPACE "kf5/kfileitemaction")

target_link_libraries(encryptfileitemaction
    KF5::KIOWidgets
    KF5::I18n)

kcoreaddons_add_plugin(decryptfileitemaction
    SOURCES decryptfileitemaction.cpp
    JSON decryptfileitemaction.json
    INSTALL_NAMESPACE "kf5/kfileitemaction")

target_link_libraries(decryptfileitemaction
    KF5::KIOWidgets
    KF5::I18n)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2017 Elvis Angelaccio <elvis.angelaccio@kde.org>

include_directories(${CMAKE_BINARY_DIR})

set(symmy_SRCS
    main.cpp
    compositejob.cpp
    decryptjob.cpp
    encryptjob.cpp
    job.cpp)

ecm_qt_declare_logging_category(symmy_SRCS
    HEADER symmydebug.h
    IDENTIFIER SYMMY
    CATEGORY_NAME org.kde.symmy)

add_executable(symmy ${symmy_SRCS})

target_link_libraries(symmy
    Qt5::Widgets
    KF5::CoreAddons
    KF5::KIOCore
    KF5::I18n
    KF5::WidgetsAddons
    QGpgme
    gpg-error)

install(TARGETS symmy DESTINATION ${KDE_INSTALL_BINDIR})

=== debian/changelog ===
symmy (0.0+p24.04+vstable+git20260122.1333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 13:33:40 +0000

=== debian/control ===
Source: symmy
Section: kde
Priority: optional
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5widgetsaddons-dev,
               libqgpgme-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/symmy.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/symmy
Maintainer: Neon CI <neon@kde.org>

Package: symmy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: dolphin
Description: GPG symmetric encryption frontend
 A menu item for Dolphin to encrypt your files.

## symmy 0.0+p24.04+vstable+git20260131.0241

=== debian/changelog ===
symmy (0.0+p24.04+vstable+git20260131.0241-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:41:17 +0000

## symmy 0.0+p24.04+vunstable+git20251020.2258

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2017 Elvis Angelaccio <elvis.angelaccio@kde.org>

cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
set (CMAKE_CXX_STANDARD 11)

set(SYMMY_VERSION 1.0.70)
project(symmy VERSION ${SYMMY_VERSION})

set(KF_MIN_VERSION 6.0.0)
set(GPGME_MIN_VERSION 1.7.1)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(KDE_COMPILERSETTINGS_LEVEL 5.82.0)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

find_package(Qt6 CONFIG REQUIRED
    Core
    Gui
    Widgets)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    DocTools
    KIO
    I18n
    WidgetsAddons)

find_package(Gpgmepp ${GPGME_MIN_VERSION} CONFIG REQUIRED)
find_package(QGpgmeQt6 ${GPGME_MIN_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX SYMMY
    VERSION_HEADER symmyversion.h)

add_definitions(-DTRANSLATION_DOMAIN=\"symmy\")

add_subdirectory(desktop)
add_subdirectory(src)
add_subdirectory(plugins)

add_subdirectory(doc)
kdoctools_install(po)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== desktop/CMakeLists.txt ===
--- 
+++ 
@@ -3,3 +3,6 @@
 
 install(FILES org.kde.symmy.appdata.xml
         DESTINATION ${KDE_INSTALL_METAINFODIR})
+
+install(FILES org.kde.symmy.desktop
+        DESTINATION ${KDE_INSTALL_APPDIR})

=== plugins/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2017 Elvis Angelaccio <elvis.angelaccio@kde.org>

kcoreaddons_add_plugin(encryptfileitemaction
    SOURCES encryptfileitemaction.cpp
    INSTALL_NAMESPACE "kf6/kfileitemaction")

target_link_libraries(encryptfileitemaction
    KF6::KIOWidgets
    KF6::I18n)

kcoreaddons_add_plugin(decryptfileitemaction
    SOURCES decryptfileitemaction.cpp
    INSTALL_NAMESPACE "kf6/kfileitemaction")

target_link_libraries(decryptfileitemaction
    KF6::KIOWidgets
    KF6::I18n)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,12 +18,12 @@
 add_executable(symmy ${symmy_SRCS})
 
 target_link_libraries(symmy
-    Qt5::Widgets
-    KF5::CoreAddons
-    KF5::KIOCore
-    KF5::I18n
-    KF5::WidgetsAddons
-    QGpgme
+    Qt6::Widgets
+    KF6::CoreAddons
+    KF6::KIOCore
+    KF6::I18n
+    KF6::WidgetsAddons
+    QGpgmeQt6
     gpg-error)
 
 install(TARGETS symmy DESTINATION ${KDE_INSTALL_BINDIR})

=== po/tr/docs/symmy/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2017 Elvis Angelaccio <elvis.angelaccio@kde.org>

kdoctools_create_manpage(man-symmy.1.docbook
    1
    INSTALL_DESTINATION
    ${KDE_INSTALL_MANDIR})

## symmy 0.0+p24.04+vunstable+git20251127.0547

=== debian/changelog ===
symmy (0.0+p24.04+vunstable+git20251127.0547-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 27 Nov 2025 05:47:03 +0000

## symmy 0.0+p24.04+vunstable+git20260201.0806

=== debian/changelog ===
symmy (0.0+p24.04+vunstable+git20260201.0806-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 08:06:53 +0000

=== debian/control ===
Source: symmy
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kwidgetsaddons-dev,
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/symmy.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/symmy
Maintainer: Neon CI <neon@kde.org>

Package: symmy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: dolphin
Description: GPG symmetric encryption frontend
 A menu item for Dolphin to encrypt your files.
